## exif 0.1.0

=== DESCRIPTION ===
Package: exif
Type: Package
Title: Read EXIF Metadata from JPEGs
Version: 0.1.0
Date: 2015-12-13
Author: Oliver Keyes [aut, cre], Penelope Hopkins [ctb], Robyn Temple-Wood [ctb], Mayank Lahiri [cph]
Maintainer: Oliver Keyes <ironholds@gmail.com>
Description: Extracts Exchangeable Image File Format (EXIF) metadata, such as camera make and model, ISO speed and the date-time
             the picture was taken on, from JPEG images. Incorporates the 'easyexif' (https://github.com/mayanklahiri/easyexif)
             library.
License: BSD_2_clause + file LICENSE
Copyright: Mayank Lahiri for 'easyexif', Oliver Keyes for the
        integration with R, and Penelope Hopkins and Robyn Temple-Wood
        for the included test images (which are licensed CC-BY 4.0).
Suggests: testthat
LinkingTo: Rcpp
Imports: Rcpp
URL: https://github.com/Ironholds/exif
BugReports: https://github.com/Ironholds/exif/issues
SystemRequirements: C++11
OS_type: unix
NeedsCompilation: yes
Packaged: 2015-12-13 20:04:13 UTC; ironholds
Repository: CRAN
Date/Publication: 2015-12-14 11:53:29

## exif 0.1.1

=== DESCRIPTION ===
Package: exif
Type: Package
Title: Read EXIF Metadata from JPEGs
Version: 0.1.1
Date: 2025-11-30
Authors@R: c(person(given = "Os",
                      family = "Keyes",
                      role = c("aut", "cre"),
                      email = "ironholds@gmail.com"),
               person(given = "Penelope",
                      family = "Hopkins",
                      role = "ctb"),
               person(given = "Robyn",
                      family = "Temple-Wood",
                      role = "ctb"),
               person(given = "Mayank",
                      family = "Lahiri",
                      role = "cph"))
Maintainer: Os Keyes <ironholds@gmail.com>
Description: Extracts Exchangeable Image File Format (EXIF) metadata, such as camera make and model, ISO speed and the date-time
             the picture was taken on, from JPEG images. Incorporates the 'easyexif' <https://github.com/mayanklahiri/easyexif>
             library.
License: BSD_2_clause + file LICENSE
Copyright: Mayank Lahiri for 'easyexif', Os Keyes for the integration
        with R, and Penelope Hopkins and Robyn Temple-Wood for the
        included test images (which are licensed CC-BY 4.0).
Suggests: testthat
LinkingTo: Rcpp
Imports: Rcpp
Encoding: UTF-8
URL: https://github.com/Ironholds/exif
BugReports: https://github.com/Ironholds/exif/issues
RoxygenNote: 7.3.3
NeedsCompilation: yes
Packaged: 2025-11-30 16:36:29 UTC; ironholds
Author: Os Keyes [aut, cre],
  Penelope Hopkins [ctb],
  Robyn Temple-Wood [ctb],
  Mayank Lahiri [cph]
Repository: CRAN
Date/Publication: 2025-11-30 16:50:02 UTC

## exif 0.6.15-5maemo2

=== debian/changelog ===
exif (0.6.15-5maemo2) unstable; urgency=low

  * Work on localization issues
    - remove languages not supported by Maemo UI
      (Polish, Czech, Slovak, Vietnamese)
    - add German package description

 -- Oskar Welzl <dev@welzl.info>  Tue, 17 Feb 2009 20:10:00 +0100

exif (0.6.15-5maemo1) unstable; urgency=low

  * Maemo version 
    - moves localisation files into -intl-package
    - build with -mthumb -Os
    - build -dbg package devel/exif-dbg

 -- Oskar Welzl <dev@welzl.info>  Sun, 8 Feb 2009 18:48:58 +0100

exif (0.6.15-5) unstable; urgency=low

  * Adopt the package within pkg-phototools:
    - Set the Maintainer to the group
    - Add Frederic Peters and myself as Uploaders.
    - Add Vcs-Browser and Vcs-Git fields accordingly.
  * debian/control:
    - Add a Homepage field.
    - Update Standards-Version to 3.7.3
    - Fix build dep version for libexif-dev.
    - Add build dep on quilt for patches extracted from package diff.
    - Add build dep on gettext for swedish translation.
  * debian/copyright:
    - convert file to utf-8.
    - Point to LGPL-2 rather than just LGPL, which now points to
      LGPL-3.
  * debian/rules
    - Fix autotools timestamp issues which causes FTBFS (closes: #445609)
    - Fix lintian 'clean error' warning.
  * debian/patches
    - Extract swedish translation patch from package diff (cf. bug 397370).
    - Extract patch related to default ifd from package diff (cf. bug 428255).
    - Extract patch related to manpage improvements from package diff (cf.
      bugs 320497 and 321855).

 -- Emmanuel Bouthenot <kolter@openics.org>  Mon, 31 Mar 2008 19:39:44 +0200

exif (0.6.15-4) unstable; urgency=low

  * debian/rules: touch config.status and config.h after configure to be sure
    it doesn't run a second time, breaking its config.h and the build at the
    same time.  (closes: #445609)

 -- Frederic Peters <fpeters@debian.org>  Tue, 09 Oct 2007 16:58:32 +0200

exif (0.6.15-3) unstable; urgency=low

  * src/main.c: set default IFD to EXIF when using -t  (closes: #428255)
  * exif.1: noted the command can operate on multiple files, and added
    examples and explanations on options  (closes: #320497, #321855)

 -- Frederic Peters <fpeters@debian.org>  Sun, 30 Sep 2007 11:37:47 +0200

exif (0.6.15-2) unstable; urgency=low

  * configure.in, configure, po/sv.po: added Swedish translation by Daniel
    Nylander (closes: #397370)

 -- Frederic Peters <fpeters@debian.org>  Sat, 29 Sep 2007 12:58:53 +0200

exif (0.6.15-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: set to 5
  * debian/control: updated debhelper build-depends to 5.0.0
  * debian/control: added autotools-dev as build-depends to get newer
    config.sub and config.guess

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 May 2007 14:28:03 +0200

exif (0.6.9-5) unstable; urgency=low

  * debian/control: updated build-depends so it always links against
    libexif12. (closes: #327045)

 -- Frederic Peters <fpeters@debian.org>  Wed,  7 Sep 2005 11:49:15 +0200

exif (0.6.9-4) unstable; urgency=low

  * Rebuilt with new libexif12.

 -- Frederic Peters <fpeters@debian.org>  Sat, 16 Jul 2005 10:12:48 +0200

exif (0.6.9-3) unstable; urgency=low

  * exif/actions.c: applied patch from Brendan O'Dea (thanks); no longer
    segfaults on MakerNote (closes: #282555)
  * debian/control: lowercased first letter of description synopsis
  * debian/copyright: fixed license; LGPL, not GPL

 -- Frederic Peters <fpeters@debian.org>  Sat, 29 Jan 2005 23:16:01 +0100

exif (0.6.9-2) unstable; urgency=low

  * Adopted package.
  * debian/control: updated Maintainer field and description

 -- Frederic Peters <fpeters@debian.org>  Sun, 17 Oct 2004 12:35:57 +0200

exif (0.6.9-1) unstable; urgency=low

  * Rebuilt against libexif10.
  * New upstream release. 

 -- christophe barbe <christophe@debian.org>  Fri, 18 Jun 2004 14:44:26 -0400

exif (0.6-2) unstable; urgency=low

  * Move DH_COMPAT in debian/compat.
  * Bump Standards-Version up to 3.5.9.

 -- christophe barbe <christophe@debian.org>  Thu,  3 Apr 2003 20:36:52 -0500

exif (0.6-1) unstable; urgency=low

  * New upstream release (Closes: #180214). 

 -- christophe barbe <christophe@debian.org>  Mon, 20 Jan 2003 17:03:45 -0500

exif (0.5-3) unstable; urgency=low

  * Fix segfault when specifying a tag at the command-line (Closes: #170471). 

 -- christophe barbe <christophe@debian.org>  Sat, 23 Nov 2002 22:10:49 -0500

exif (0.5-2) unstable; urgency=low

  * Added versioned Build-Depends on libexif-dev (Closes: #168891). 

 -- christophe barbe <christophe@debian.org>  Wed, 13 Nov 2002 11:37:36 -0500

exif (0.5-1) unstable; urgency=low

  * New upstream release. 

 -- christophe barbe <christophe@debian.org>  Sun, 10 Nov 2002 22:23:43 -0500

exif (0.4-3) unstable; urgency=low

  * Added pkg-config in the Build-Depends (closes: #154918). 
  * No upstream man page for exif (closes: #154870).

 -- christophe barbe <christophe@debian.org>  Wed, 31 Jul 2002 07:30:25 -0400

exif (0.4-2) unstable; urgency=low

  * Description improvment (closes: #154757). 

 -- christophe barbe <christophe@debian.org>  Mon, 29 Jul 2002 17:54:45 -0400

exif (0.4-1) unstable; urgency=low

  * Initial Release (closes: #153996).

 -- christophe barbe <christophe@debian.org>  Tue, 23 Jul 2002 11:46:33 -0400

=== debian/control ===
Source: exif
Section: user/graphics
Priority: optional
Maintainer: Oskar Welzl <dev@welzl.info>
Build-Depends: debhelper (>> 5.0.0), libexif-dev (>= 0.6.12), libpopt-dev, pkg-config, autotools-dev, quilt, gettext
Standards-Version: 3.7.3
Homepage: http://libexif.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/exif.git
Vcs-Git: git://git.debian.org/git/pkg-phototools/exif.git

Package: exif-intl
Section: user/other
Architecture: any
Depends: ${shlibs:Depends}, libexif12-intl (>= 0.6.16-2.1maemo2), exif (>= ${Source-Version})
Description: Additional languages for exif tool
 Translations in German, Spanish, French
 and (only incomplete) Russian and Swedish
XBSC-Maemo-Display-Name: Exif Translations 
XBSC-Description-de_DE: Weitere Sprachen für das Programm Exif
 Übersetzungen in Deutsch, Spanisch, Französisch
 sowie (nur teilweise) Russisch und Schwedisch

Package: exif
Section: user/other
Architecture: any
Depends: ${shlibs:Depends}
XBCS-Maemo-Display-Name: Exif (command line utility)
XBCS-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Description: command-line utility to show EXIF information in JPEG files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image.
 .
 'exif' is a small command-line utility to show EXIF information 
 hidden in JPEG files.
XBSC-Description-de_DE: Kommandozeilen-Programm zum Anzeigen von EXIF-Daten in JPEGs
 Die meisten Digitalkameras erzeugen EXIF-Daten. Das sind im JPG-Bild
 eingebettete Informationen über das Bild (Kameramodell, Datum, 
 Hoch- oder Querformat,...)
 .
 Exif ist ein kleines Werkzeug zum Anzeigen und Bearbeiten dieser 
 Informationen auf der Kommandozeile

Package: exif-dbg
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, exif (>= ${Source-Version})
Description: Debug package for exif tool

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -mthumb
endif



config.status: patch configure-stamp
configure-stamp:
	dh_testdir
	-test -r /usr/share/misc/config.sub && \
	cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	cp -f /usr/share/misc/config.guess config.guess

	# ugly hack to fix autotools timestamp issues
	touch aclocal.m4 && touch config.h.in

	./configure CFLAGS="$(CFLAGS)" --prefix=/usr --mandir=\$${prefix}/share/man

	touch configure-stamp

build: config.status build-stamp
build-stamp:
	dh_testdir
	$(MAKE)

	# build swedish translation
	msgfmt -c -o po/sv.gmo po/sv.po


	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# remove builded swedish translation
	-rm -f po/sv.gmo

	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f config.log config.sub config.guess
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/exif/usr

	# install swedish translation
	install -m 0755 -d $(CURDIR)/debian/exif/usr/share/locale/sv/LC_MESSAGES
	install -m 0644 po/sv.gmo $(CURDIR)/debian/exif/usr/share/locale/sv/LC_MESSAGES/exif.mo

	# rm languages not in Maemo-UI
	rm -r $(CURDIR)/debian/exif/usr/share/locale/pl/

	dh_movefiles --sourcedir=debian/exif

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installmime
	dh_installman
#	dh_installinfo
#	dh_undocumented exif.1
	dh_installchangelogs ChangeLog
#	dh_link
	dh_strip --dbg-package=exif-dbg
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## exif 0.6.20

=== debian/changelog ===
exif (0.6.20-2) unstable; urgency=high

  * Add a patch to fix security issue CVE-2012-2845 (Closes: #681465)

 -- Emmanuel Bouthenot <kolter@debian.org>  Thu, 28 Apr 2011 20:23:15 +0000

exif (0.6.20-1) unstable; urgency=low

  * New upstream release (Closes: #552102)
  * debian/copyright:
    - updates (huge backlog) (Closes: #613485)
    - switch to DEP5 format
  * Update uploader email (me)
  * Refresh patches and convert them to DEP3 format
  * Bump Standards-Version to 3.9.2
  * Remove DMUA field (no more needed)
  * Bump the B-D on libexif-dev to >= 0.6.20 since this version is now
    required.
  * Remove B-D on chrpath (no more needed)

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 27 Apr 2011 18:49:37 +0000

exif (0.6.19-1) unstable; urgency=low

  * New upstream release

 -- Emmanuel Bouthenot <kolter@openics.org>  Thu, 19 Nov 2009 22:54:46 +0000

exif (0.6.18-1) unstable; urgency=low

  * New upstream release (Closes: #321857, #487998)
  * Clean and minify the build process (using dh7 overrides)
  * Bump Standards-Version to 3.8.3.
  * Add README.source file.
  * Remove patch which add examples in manpage (no more needed).
  * Add a patch to fix hyphens in manpage.

 -- Emmanuel Bouthenot <kolter@openics.org>  Wed, 11 Nov 2009 12:10:53 +0000

exif (0.6.17-1) unstable; urgency=low

  * New upstream release:
    - Fix some bugs:
      + use locale settings instead of UTF-8 (Closes: #236610)
      + Fix command line usage issues with some options (Closes: #497477)
      + Fix some tags format (Closes: #339070)
    - Remove patches merged upstream:
      + 01_swedish_translation
      + 02_default_ifd
    - Update existing patches.
  * Switch packaging to debhelper 7
  * Bump the B-D on libexif-dev to >= 0.6.17 since this version is now
    required.
  * Bump Standards-Version to 3.8.1
  * Drop hardcoded rpath in exif binary.
  * Add DM-Upload-Allowed field in debian/control.
  * Update debian/copyright.

 -- Emmanuel Bouthenot <kolter@openics.org>  Sun, 19 Apr 2009 18:51:42 +0200

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	cp /usr/share/misc/config.guess .
	cp /usr/share/misc/config.sub   .
	dh_auto_configure

override_dh_clean:
	dh_clean
	rm -f config.guess config.sub

%:
	dh $@

## exif 0.6.21

=== debian/changelog ===
exif (0.6.21-2) unstable; urgency=medium

  * Team upload.
  * debhelper update:
    - Update package compatibility to level 11. 
  * debian/control:
    - Build-Depend on debhelper version 11.
    - Build-Depend on libexif-dev 0.6.21.
    - Remove dh-autoreconf and autotools-dev from the Build-Depends list.
    - Raise Standards-Version from 3.9.4 to 4.1.3.
    - Update the Homepage field to point to https://libexif.github.io.
    - Update the Vcs fields to point to https://salsa.debian.org.
    - Mark exif Multi-Arch: foreign.
  * debian/copyright:
    - Update the Format specification URI.
    - Update the Source URL field to point to https://libexif.github.io.
  * debian/patches:
    - add-am_prog_ar.patch: Add the AM_PROG_AR macro to configure.ac to avoid
      an automake warning.
    - cross-build-pkg-config.patch: Enable cross-compiling from source by
      allowing pkg-config to find libraries from the build architecture
      (thanks to Helmut Grohne for the patch) (Closes: #858102).
    - fix-hyphens-in-manpage.patch: Add .patch file extension and
      update the patch description.
    - fix-size_t-warnings.patch: Cast size_t precision and width specifiers
      to unsigned int to avoid compile-time warnings with printf().
  * debian/rules:
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Remove '--with autotools_dev,autoreconf', as these options are now
      handled by debhelper level 11.
  * debian/source/options:
    - Remove from package. Debhelper handles the specified options by default.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 20 Feb 2018 22:32:27 +1100

exif (0.6.21-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4
  * Refresh patches
  * Switch debhelper compatibility to 9
  * Simplify debian/rules by using dh-autoreconf addon with debhelper
  * Update debian/copyright with new and updated copyright holders

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 28 Jan 2013 18:28:28 +0000

=== debian/control ===
Source: exif
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Emmanuel Bouthenot <kolter@debian.org>, Frederic Peters <fpeters@debian.org>
Build-Depends:
    debhelper (>= 11~),
    autopoint,
    libexif-dev (>= 0.6.21),
    libpopt-dev,
    pkg-config
Standards-Version: 4.1.3
Homepage: https://libexif.github.io/
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/exif
Vcs-Git: https://salsa.debian.org/debian-phototools-team/exif.git

Package: exif
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line utility to show EXIF information in JPEG files
 Most digital cameras produce EXIF files, which are JPEG files with
 extra tags that contain information about the image.
 .
 'exif' is a small command-line utility to show EXIF information hidden
 in JPEG files.

=== debian/watch ===
version=3
http://sf.net/libexif/exif-(.*)\.tar\.gz

## exif 0.6.22

=== debian/changelog ===
exif (0.6.22-3build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:52:05 +0200

exif (0.6.22-3) unstable; urgency=medium

  * debian/control: Raise Standards-Version to 4.6.1 (no changes needed).
  * debian/copyright: Update for 2022.
  * debian/gbp.conf: Use DEP-14 branch naming; require signed tags.
  * debian/patches:
    + Add patch for CVE-2021-27815 (Closes: #1018814).
    + Prevent NULL pointer dereference with strncpy() in exif/actions.c.
      Thanks to Aron Xu for forwarding the upstream patch.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 05 Sep 2022 14:01:03 +1000

exif (0.6.22-2) unstable; urgency=medium

  * Add upstream patch to fix test failures on big endian systems
    (Closes: #962755).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 09 Jul 2020 20:58:17 +1000

exif (0.6.22-1) unstable; urgency=medium

  * New upstream version.

  [ Hugh McMaster ]
  * debian/copyright: Update for exif 0.6.22.
  * debian/control:
    - Use debhelper-compat version 13.
    - Emmanuel Bouthenot and Frederic Peters have stepped down as Uploaders.
      Thank you for maintaining exif.
    - Add Hugh McMaster as an Uploader.
    - Raise Standards-Version to 4.5.0 from 4.1.3 (no changes needed).
    - Declare Rules-Requires-Root: no.
  * debian/patches: Drop all patches. All issues fixed in this version.
  * debian/rules: Do not install the upstream ChangeLog.
  * debian/watch: Use version 4 and switch to upstream's GitHub repository.
  * Add debian/gbp.conf.
  * Add debian/upstream/metadata.

  [ Debian Janitor ]
  * Trim trailing whitespace from debian/changelog.
  * Set debhelper-compat version in Build-Depends to version 11.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 08 Jun 2020 12:38:24 +1000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: exif
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Emmanuel Bouthenot <kolter@debian.org>, Frederic Peters <fpeters@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
 Build-Depends:
-    debhelper (>= 11~),
+    debhelper-compat (= 13),
     autopoint,
     libexif-dev (>= 0.6.21),
     libpopt-dev,
     pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://libexif.github.io/
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/exif
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/exif.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog
